<?
	session_start();
	include "../../include/baza_danych.php";
	include "../../include/check_login.php";
	include "../../include/functions.php";
?>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
	<link rel="stylesheet" type="text/css" href="../css/main.css" media="screen" />
	<!--[if lte IE 6]>
	<link rel="stylesheet" type="text/css" href="../css/ie6_or_less.css" />
	<![endif]-->
	<script type="text/javascript" src="../js/common.js"></script>
	<script type="text/javascript" src="../js/jquery.js"></script>
</head>
<body id="type-a">
<div id="wrap">

	<div id="header">
		
		<div id="search">
			<form action="?go=lista_uzytkownikow&akcja=szukaj" method="post">
			<label for="searchsite">email:</label>
			<input id="searchsite" name="szukana_fraza" type="text" value="<? echo$_POST['szukana_fraza']; ?>" />
			<input type="submit" value="Szukaj" class="f-submit" />
			</form>
		</div>
		
		<ul id="nav">
	  <? if(!isset($go)){$go = 'lista_uzytkownikow';}?>
		<li<? if($go=="lista_uzytkownikow"){ echo' class="active"';} ?>><a href="?go=lista_uzytkownikow">Lista użytkowników</a></li>
		<li<? if($go=="dodaj_uzytkownika"){ echo' class="active"';} ?>><a href="?go=dodaj_uzytkownika">Dodaj użytkownika</a></li>
		<li><a href="#sort">Sortowane</a>
			<ul>
			<li class="first"><a href="?go=lista_uzytkownikow&akcja=sortuj&wg=id">id</a></li>
			<li><a href="?go=lista_uzytkownikow&akcja=sortuj&wg=p1">imię</a></li>
			<li><a href="?go=lista_uzytkownikow&akcja=sortuj&wg=p2">nazwisko</a></li>
			<li><a href="?go=lista_uzytkownikow&akcja=sortuj&wg=email">email</a></li>
			<li><a href="?go=lista_uzytkownikow&akcja=sortuj&wg=czas_rejestracji">czas rejestracji</a></li>
			<li><a href="?go=lista_uzytkownikow&akcja=sortuj&wg=stan">stan</a></li>
			<li class="last"><a href="?go=lista_uzytkownikow&akcja=sortuj&wg=poziom">poziom</a></li>
			</ul>		
		</li>
		</ul>
		
	</div>
	<div id="content-wrap">
		<div id="content">
			<div id="breadcrumb">
<?
if($logged_in==1 and pd(16)){




if($go=="lista_uzytkownikow"){

  if(isset($akcja) and $akcja=="usun" and isset($id_uzytkownika)){
		if(isset($potwierdzenie_usuniecia)){
  		$wykonaj = mysql_query ("DELETE FROM ".$db_pref."uzytkownik WHERE id='".$id_uzytkownika."';");
  	   $komunikat = '<div class="featurebox"><h3>Komunikat</h3><p>Użytkownik został usunięty pomyślnie</p></div>';
  		if($wykonaj){echo$komunikat;}else{
	  	  $komunikat = '<div class="featurebox"><h3>Błąd</h3><p>Błąd podczas próby usunięcia użytkownika z bazy</p></div>';
				echo$komunikat;
			}

		}else{
  		$komunikat2 = '			<div class="pagination">
  			<p><a href="?go=lista_uzytkownikow&akcja=usun&id_uzytkownika='.$id_uzytkownika.'&potwierdzenie_usuniecia"><strong>TAK</strong></a>&nbsp;&nbsp; <a href="?go=lista_uzytkownikow"><font color="#FF0000">NIE</font></a></p>
  			<h4>Czy napewno chcesz usunąć tego użytkownika?</h4></div>';
  	   $komunikat = '<div class="featurebox"><h3>Uwaga!!!</h3><p>Razem z serwisem zostana usuniete wszystkie powiazane dane (szablony, strony itd.).<br>Usunięty zostanie użytkownik o ID: '.$id_uzytkownika.'</p>'.$komunikat2.'</div>';
  		echo$komunikat;
		}
  }
	
	
	// zmiana statusu konta uzytkownika
	if(isset($akcja) and $akcja=="stan" and isset($id_uzytkownika) and isset($stan)){
    switch ($stan) {
       case 0: $stan=1; break;
    	 case 1: $stan=0; break;
    }	
	  $update = mysql_query("UPDATE ".$db_pref."uzytkownik SET stan='".$stan."' WHERE id='".$id_uzytkownika."';");
		if($update){
	  	$komunikat = '<div class="featurebox"><h3>Komunikat</h3><p>Status użytkownika został zmieniony</p></div>';
			echo$komunikat;		
		}
	}
	
	
	
	// zmiana poziomu uprawnien
	if(isset($akcja) and $akcja=="poziom" and isset($id_uzytkownika) and isset($poziom)){
    switch ($poziom) {
       case 0: $poziom=1; break;
    	 case 1: $poziom=2; break;
			 case 2: $poziom=3; break;
			 case 3: $poziom=4; break;
			 case 4: $poziom=5; break;
			 case 5: $poziom=0; break;
    }	
		
	  $update = mysql_query("UPDATE ".$db_pref."uzytkownik SET poziom='".$poziom."' WHERE id='".$id_uzytkownika."';");
		if($update){
	  	$komunikat = '<div class="featurebox"><h3>Komunikat</h3><p>Poziom użytkownika został zmieniony</p></div>';
			echo$komunikat;		
		}
	}	

	
	
	$warunki_wyszukiwania = null;
	// wyszukiwanie
	if(isset($akcja) and $akcja=="szukaj"){
	  if($_POST['szukana_fraza']!=null){
		  $warunki_wyszukiwania = " WHERE email='".$_POST['szukana_fraza']."'";
		}else{
  	  $komunikat = '<div class="featurebox"><h3>Komunikat</h3><p>Prosze podac szukany adres email użytkownika</p></div>';
  		echo$komunikat;
		}
	}
			
	$po_ile_na_stronie = 9;    
	$zapytanie_str = "SELECT id FROM ".$db_pref."uzytkownik".$warunki_wyszukiwania.";";
	include"../../include/stronnicowanie.php";   
			
echo'
			<table class="table1">
			<thead>
				<tr>
				<th colspan="9">Użytkownicy</th>
				</tr>
			</thead>
			<tbody>
				<tr>
				<th>ID</th>
				<th>Login</th>
				<th>Imię</th>
				<th>Nazwisko</th>
				<th>Email</th>
				<th>Czas rejestracji</th>
				<th>Stan</th>
				<th>Poziom</th>
				<th>Akcje</th>
				</tr>
';

  // sortowanie
	if(isset($akcja) and $akcja!=null and $akcja=="sortuj" and isset($wg)){
	  $sortuj = " ORDER BY ".$wg." ASC";
	}else{$sortuj = null;}
			
  $zapytanie = "SELECT * FROM ".$db_pref."uzytkownik".$warunki_wyszukiwania.$sortuj." LIMIT ".$temp.",".$po_ile_na_stronie.";";
  $wykonaj = mysql_query ($zapytanie);
	if (!($wykonaj)) print mysql_error();
	if($wykonaj){
    while($wiersz=mysql_fetch_array ($wykonaj)) 
  	{
    	  $id = $wiersz['id'];
				$login = $wiersz['login'];
				$email = $wiersz['email'];
				$p1 = $wiersz['p1'];
				$p2 = $wiersz['p2'];
				$czas_rejestracji = $wiersz['czas_rejestracji'];
				$stan = $wiersz['stan'];
				$poziom = $wiersz['poziom'];
				
switch ($stan) {
   case 0: $stan2='Nieaktywny'; break;
	 case 1: $stan2='Aktywny'; break;
}



switch ($poziom) {
   case 0: $poziom2='Niezalogowany'; break;
	 case 1: $poziom2='Użytkownik'; break;
	 case 2: $poziom2='Moderator'; break;
	 case 3: $poziom2='SuperMod'; break;
	 case 4: $poziom2='Admin'; break;
	 case 5: $poziom2='WebMaster'; break;
}
echo'			
				<tr>
				  <td><small>'.$id.'</small></td>
  				<th class="sub">'.$login.'</th>
					<th class="sub"><small>'.$p1.'</small></th>
					<th class="sub"><small>'.$p2.'</small></th>
					<td><a href="mailto:'.$email.'"><small>'.$email.'</small></a></td>
  				<td><small>'.date('Y.m.d H:i:s', $czas_rejestracji).'&nbsp;['.sprintf("%01.0f",((time() - $czas_rejestracji)/60/60/24)).']</small></td>
  				<td><small><a href="?go=lista_uzytkownikow&akcja=stan&id_uzytkownika='.$id.'&strona='.$strona.'&stan='.$stan.'&wg=stan">'.ikonka("w".$stan).'</a> '.$stan2.'</small></td>
  				<td><small><a href="?go=lista_uzytkownikow&akcja=poziom&id_uzytkownika='.$id.'&strona='.$strona.'&poziom='.$poziom.'">'.ikonka("p0").'</a> '.$poziom2.'</small></td>
  				<td><center><a href="?go=lista_uzytkownikow&akcja=usun&id_uzytkownika='.$id.'">'.ikonka("u").'</a> <a href="?go=edycja_danych&id_uzytkownika='.$id.'">'.ikonka("e").'</a> <a href="?go=podglad_danych&id_uzytkownika='.$id.'">'.ikonka("l").'</a></center></td>
				</tr>
';	
  	}
	}

				
echo'				
			</tbody>
			</table><br>
';




}




if($go=="edycja_danych" and isset($id_uzytkownika)){
if(isset($_POST['zmien'])){
  if($_POST['login']==null or $_POST['haslo']==null or $_POST['email']==null or $p1==null or $p2==null or $p4==null or $p5==null or $p6==null or $p7==null or $p8==null or $p9==null or $dostep_id_serwisu==null){
	  $komunikat = '<div class="featurebox"><h3>Błąd</h3><p>Wypełnij proszę wszystkie wymagane pola</p></div>';
	}else{
  	$update = mysql_query("UPDATE ".$db_pref."uzytkownik SET login='".$login."',haslo='".$haslo."',email='".$email."',p1='".$p1."',p2='".$p2."',p3='".$p3."',p4='".$p4."',p5='".$p5."',p6='".$p6."',p7='".$p7."',p8='".$p8."',p9='".$p9."',p10='".$p10."',id_serwisu='".$dostep_id_serwisu."' WHERE id='".$id_uzytkownika."';");
		if($update){$komunikat = '<div class="featurebox"><h3>Komunikat</h3><p>Dane zostały zmienione</p></div>';}	
	}
}

  $zapytanie = "SELECT * FROM ".$db_pref."uzytkownik WHERE id='".$id_uzytkownika."';";
  $wykonaj = mysql_query ($zapytanie);
	if (!($wykonaj)) print mysql_error();
	if($wykonaj){
    while($wiersz=mysql_fetch_array ($wykonaj)) {
				$login = $wiersz['login'];
				$haslo = $wiersz['haslo'];
				$email = $wiersz['email'];
				$p1 = $wiersz['p1'];
				$p2 = $wiersz['p2'];
				$p3 = $wiersz['p3'];
				$p4 = $wiersz['p4'];
				$p5 = $wiersz['p5'];
				$p6 = $wiersz['p6'];
				$p7 = $wiersz['p7'];
				$p8 = $wiersz['p8'];
				$p9 = $wiersz['p9'];
				$p10 = $wiersz['p10'];
				$dostep_id_serwisu = $wiersz['id_serwisu'];
		}
	}
echo $komunikat.'
			<form action="?go=edycja_danych" method="post" class="f-wrap-1">
			<input name="id_uzytkownika" value="'.$id_uzytkownika.'" type="hidden">
			
			<div class="req"><b>*</b> Pola wymagane</div>
			
			<fieldset>
			
			<h3>Dane użytkownika ID '.$id_uzytkownika.'</h3>
			
			<label for="p1"><b><span class="req">*</span>Imię:</b>
			<input id="p1" name="p1" type="text" class="f-name" tabindex="1" value="'.$p1.'" /><br />
			</label>
			
			<label for="p2"><b><span class="req">*</span>Nazwisko:</b>
			<input id="p2" name="p2" type="text" class="f-name" tabindex="2" value="'.$p2.'" /><br />
			</label>';

if($p3!=null){
echo'
			<label for="p3"><b>Firma:</b>
			<input id="p3" name="p3" type="text" class="f-name" tabindex="3" value="'.$p3.'" /><br />
			</label>
';
}


switch ($p7) {
   case 1: $p7='dolnośląskie'; break;
	 case 2: $p7='kujawsko-pomorskie'; break;
	 case 3: $p7='lubelskie'; break;
	 case 4: $p7='lubuskie'; break;
	 case 5: $p7='łódzkie'; break;
	 case 6: $p7='małopolskie'; break;
	 case 7: $p7='mazowieckie'; break;
	 case 8: $p7='opolskie'; break;
	 case 9: $p7='podkarpackie'; break;
	 case 10: $p7='podlaskie'; break;
	 case 11: $p7='pomorskie'; break;
	 case 12: $p7='śląskie'; break;
	 case 13: $p7='świętokrzyskie'; break;
	 case 14: $p7='warmińsko-mazurskie'; break;
	 case 15: $p7='wielkopolskie'; break;
	 case 16: $p7='zachodniopomorskie'; break;
}

switch ($p8) {
   case 1: $p8='Polska'; break;
}
						
echo'			
			<label for="p4"><b><span class="req">*</span>Adres:</b>
			<input id="p4" name="p4" type="text" class="f-name" tabindex="4" value="'.$p4.'" /><br />
			</label>	
				
			<label for="p5"><b><span class="req">*</span>Kod pocztowy:</b>
			<input id="p5" name="p5" type="text" class="f-name" tabindex="5" value="'.$p5.'" /><br />
			</label>				
			
			<label for="p6"><b><span class="req">*</span>Miejscowosc:</b>
			<input id="p6" name="p6" type="text" class="f-name" tabindex="6" value="'.$p6.'" /><br />
			</label>		

			<label for="p7"><b><span class="req">*</span>Województwo:</b>
			<input id="p7" name="p7" type="text" class="f-name" tabindex="7" value="'.$p7.'" /><br />
			</label>		

			<label for="p8"><b><span class="req">*</span>Kraj:</b>
			<input id="p8" name="p8" type="text" class="f-name" tabindex="8" value="'.$p8.'" /><br />
			</label>		
			<label for="p9"><b><span class="req">*</span>Telefon:</b>
			<input id="p9" name="p9" type="text" class="f-name" tabindex="9" value="'.$p9.'" /><br />
			</label>		
';

if($p10!=null){			
echo'			
			<label for="p10"><b>Drugi telefon:</b>
			<input id="p10" name="p10" type="text" class="f-name" tabindex="10" value="'.$p10.'" /><br />
			</label>
';		
}
echo'			
						
			
			
		  <hr />
			
			<label for="login1"><b><span class="req">*</span>Login:</b>
			<input id="login1" name="login" type="text" class="f-name" tabindex="11" value="'.$login.'" /><br />
			</label>	
				
			<label for="haslo1"><b><span class="req">*</span>Hasło:</b>
			<input id="haslo1" name="haslo" type="text" class="f-name" tabindex="12" value="'.$haslo.'" /><br />
			</label>	
			
			<label for="email1"><b><span class="req">*</span>Email:</b>
			<input id="email1" name="email" type="text" class="f-name" tabindex="13" value="'.$email.'" /><br />
			</label>	
			
			<hr />
			<label for="s"><b><span class="req">*</span>Ma dostęp do serwisu:</b>
			<input id="s" name="dostep_id_serwisu" type="text" class="f-name" tabindex="13" value="'.$dostep_id_serwisu.'" /><br />
			<i>(0 - ma dostęp do wszystkich serwisów)</i>
			</label>		
			
			
			
			
			<div class="f-submit-wrap">
			<input type="submit" name="zmien" value="Zmień dane" class="f-submit" tabindex="14" /><br />
			</div>
			</fieldset>
			</form>
';
}



	
if($go=="podglad_danych" and isset($id_uzytkownika)){
  $zapytanie = "SELECT * FROM ".$db_pref."uzytkownik WHERE id='".$id_uzytkownika."';";
  $wykonaj = mysql_query ($zapytanie);
	if (!($wykonaj)) print mysql_error();
	if($wykonaj){
    while($wiersz=mysql_fetch_array ($wykonaj)) {
				$login = $wiersz['login'];
				$haslo = $wiersz['haslo'];
				$email = $wiersz['email'];
				$p1 = $wiersz['p1'];
				$p2 = $wiersz['p2'];
				$p3 = $wiersz['p3'];
				$p4 = $wiersz['p4'];
				$p5 = $wiersz['p5'];
				$p6 = $wiersz['p6'];
				$p7 = $wiersz['p7'];
				$p8 = $wiersz['p8'];
				$p9 = $wiersz['p9'];
				$p10 = $wiersz['p10'];
				$dostep_id_serwisu = $wiersz['id_serwisu'];
		}
	}
echo $komunikat.'
<form action="?go=edycja_danych" method="post" class="f-wrap-1">
			<div class="req"><b>*</b> Pola wymagane</div>
			
			<fieldset>
			
			<h3>Dane użytkownika ID '.$id_uzytkownika.'</h3>
			
			<label for="p1"><b><span class="req">*</span>Imię:</b>'.$p1.'<br />
			</label>
			
			<label for="p2"><b><span class="req">*</span>Nazwisko:</b>'.$p2.'<br />
			</label>';

if($p3!=null){
echo'
			<label for="p3"><b>Firma:</b>'.$p3.'<br />
			</label>
';
}


switch ($p7) {
   case 1: $p7='dolnośląskie'; break;
	 case 2: $p7='kujawsko-pomorskie'; break;
	 case 3: $p7='lubelskie'; break;
	 case 4: $p7='lubuskie'; break;
	 case 5: $p7='łódzkie'; break;
	 case 6: $p7='małopolskie'; break;
	 case 7: $p7='mazowieckie'; break;
	 case 8: $p7='opolskie'; break;
	 case 9: $p7='podkarpackie'; break;
	 case 10: $p7='podlaskie'; break;
	 case 11: $p7='pomorskie'; break;
	 case 12: $p7='śląskie'; break;
	 case 13: $p7='świętokrzyskie'; break;
	 case 14: $p7='warmińsko-mazurskie'; break;
	 case 15: $p7='wielkopolskie'; break;
	 case 16: $p7='zachodniopomorskie'; break;
}

switch ($p8) {
   case 1: $p8='Polska'; break;
}
						
echo'			
			<label for="p4"><b><span class="req">*</span>Adres:</b>'.$p4.'<br />
			</label>	
				
			<label for="p5"><b><span class="req">*</span>Kod pocztowy:</b>'.$p5.'<br />
			</label>				
			
			<label for="p6"><b><span class="req">*</span>Miejscowosc:</b>'.$p6.'<br />
			</label>		

			<label for="p7"><b><span class="req">*</span>Województwo:</b>'.$p7.'<br />
			</label>		

			<label for="p8"><b><span class="req">*</span>Kraj:</b>'.$p8.'<br />
			</label>		
			
			<label for="p9"><b><span class="req">*</span>Telefon:</b>'.$p9.'<br />
			</label>		
';

if($p10!=null){			
echo'			
			<label for="p10"><b>Drugi telefon:</b> '.$p10.'<br />
			</label>
';		
}
echo'			
		  <hr />
			
			<label for="login1"><b><span class="req">*</span>Login:</b>'.$login.'<br />
			</label>	
				
			<label for="haslo1"><b><span class="req">*</span>Hasło:</b>'.$haslo.'<br />
			</label>	
			
			<label for="email1"><b><span class="req">*</span>Email:</b><a href="mailto:'.$email.'">'.$email.'</a><br />
			</label>	
	
</form>
';
}

	
	
	
if($go=="dodaj_uzytkownika"){
$dodanie = true;

if(isset($_POST['dodaj'])){
  if($_POST['login']==null or $_POST['haslo']==null or $_POST['email']==null or $p1==null or $p2==null or $p4==null or $p5==null or $p6==null or $p7==null or $p8==null or $p9==null){
	  $komunikat = '<div class="featurebox"><h3>Błąd</h3><p>Wypełnij proszę wszystkie wymagane pola</p></div>';
	}else{
    $zapytanie = "INSERT INTO ".$db_pref."uzytkownik 
		(login,haslo,email,czas_rejestracji,p1,p2,p3,p4,p5,p6,p7,p8,p9,p10,id_serwisu) 
		VALUES 
		('".$login."','".$haslo."','".$email."','".time()."','".$p1."','".$p2."','".$p3."','".$p4."','".$p5."','".$p6."','".$p7."','".$p8."','".$p9."','".$p10."','".$_SESSION['ID_serwisu']."')";
		$wykonaj = mysql_query($zapytanie);
	
		if($wykonaj){
		  $dodanie = false;
		  $komunikat = '<div class="featurebox"><h3>Komunikat</h3><p>Nowy użytkownik został dodany do bazy</p></div>';
		}	
	}
}


echo $komunikat.'
		<form action="?go=dodaj_uzytkownika" method="post" class="f-wrap-1">
			
			<div class="req"><b>*</b> Pola wymagane</div>
			
			<fieldset>
			
			<h3>Dane użytkownika</h3>
	
			<label for="p1"><b><span class="req">*</span>Imię:</b>
			<input id="p1" name="p1" type="text" class="f-name" tabindex="1" value="'.$p1.'"/><br />
			</label>
			
			<label for="p2"><b><span class="req">*</span>Nazwisko:</b>
			<input id="p2" name="p2" type="text" class="f-name" tabindex="2" value="'.$p2.'"/><br />
			</label>
			
			<label for="p3"><b>Firma:</b>
			<input id="p3" name="p3" type="text" class="f-name" tabindex="3" value="'.$p3.'" /><br />
			</label>
			
			<label for="p4"><b><span class="req">*</span>Adres:</b>
			<input id="p4" name="p4" type="text" class="f-name" tabindex="4" value="'.$p4.'" /><br />
			</label>	
				
			<label for="p5"><b><span class="req">*</span>Kod pocztowy:</b>
			<input id="p5" name="p5" type="text" class="f-name" tabindex="5" value="'.$p5.'" /><br />
			</label>				
			
			<label for="p6"><b><span class="req">*</span>Miejscowosc:</b>
			<input id="p6" name="p6" type="text" class="f-name" tabindex="6" value="'.$p6.'" /><br />
			</label>		

			<label for="p7"><b><span class="req">*</span>Województwo:</b>
					<select name="p7" size="1">
					<option value="1">dolnośląskie</option>
					<option value="2">kujawsko-pomorskie</option>
					<option value="3">lubelskie</option>
					<option value="4">lubuskie</option>
					<option value="5">łódzkie</option>
					<option value="6">małopolskie</option>
					<option value="7">mazowieckie</option>
					<option value="8">opolskie</option>
					<option value="9">podkarpackie</option>
					<option value="10">podlaskie</option>
					<option value="11">pomorskie</option>
					<option value="12">śląskie</option>
					<option value="13">świętokrzyskie</option>
					<option value="14">warmińsko-mazurskie</option>
					<option value="15">wielkopolskie</option>
					<option value="16">zachodniopomorskie</option></select>			
			<br />
			</label>		

			<label for="p8"><b><span class="req">*</span>Kraj:</b>
					<select name="p8" class="f-name" size="1">
					<option value="1" selected="selected">Polska</option>
					</select>		
			<br />
			</label>		
			<label for="p9"><b><span class="req">*</span>Telefon:</b>
			<input id="p9" name="p9" type="text" class="f-name" tabindex="9" value="'.$p9.'" /><br />
			</label>		
		
			<label for="p10"><b>Drugi telefon:</b>
			<input id="p10" name="p10" type="text" class="f-name" tabindex="10" value="'.$p10.'" /><br />
			</label>
		
		  <hr />
			
			<label for="login1"><b><span class="req">*</span>Login:</b>
			<input id="login1" name="login" type="text" class="f-name" tabindex="11" value="'.$login.'" /><br />
			</label>	
				
			<label for="haslo1"><b><span class="req">*</span>Hasło:</b>
			<input id="haslo1" name="haslo" type="text" class="f-name" tabindex="12" value="'.$haslo.'" /><br />
			</label>	
			
			<label for="email1"><b><span class="req">*</span>Email:</b>
			<input id="email1" name="email" type="text" class="f-name" tabindex="13" value="'.$email.'" /><br />
			</label>	
			
			
			
';

if($dodanie){
echo'			
			<div class="f-submit-wrap">
			<input type="submit" name="dodaj" value="Dodaj użytkownika" class="f-submit" tabindex="14" /><br />
			</div>
';
}

echo'			
			</fieldset>
			</form>
';
}


}if($logged_in==0 or !pd(16)){echo'<center><h2>BRAK DOSTĘPU</h2></center>';}	
?>	
			</div>
		</div>
	</div>
</div>
</body>
</html>
